Loading...
Searching...
No Matches
mce::ThreadMemberFunctor< C > Struct Template Reference

Adapter that wraps a member function without extra arguments. More...

`#include <Thread.hpp>`

Inheritance diagram for mce::ThreadMemberFunctor< C >:

## Public Member Functions

| ThreadMemberFunctor (void(C::*function)(), C *object)
| Construct with member function pointer and target object.
virtual void | run () override
| Invoke the stored member function on the stored object.
Public Member Functions inherited from mce::ThreadFunc
virtual | ~ThreadFunc ()
| Virtual destructor to allow safe deletion via base pointer.

## Public Attributes

void(C::* | functor )()
| Pointer to the member function to invoke.
C * | object
| Pointer to the object instance used when invoking the member function.

## Detailed Description

template<typename C>
struct mce::ThreadMemberFunctor< C >

Adapter that wraps a member function without extra arguments.

Template Parameters

  C | Class type that owns the member function.

## Constructor & Destructor Documentation

## ThreadMemberFunctor()

template<typename C>

mce::ThreadMemberFunctor< C >::ThreadMemberFunctor | ( | void(C::* | function )(),
|  | C * | object )

inline

Construct with member function pointer and target object.

Parameters

  function | Member function pointer to call.
  object | Target object on which to call the member function.

## Member Function Documentation

## run()

template<typename C>

virtual void mce::ThreadMemberFunctor< C >::run | ( |  | ) |

inlineoverridevirtual

Invoke the stored member function on the stored object.

Note: the exact invocation expression depends on how the pointer-to-member is stored and used by the adapter.

Implements mce::ThreadFunc.

The documentation for this struct was generated from the following file:

- Core/Thread.hpp